import { Vector } from './vector';
import { Latexable } from './util';
/** Interface representing point on the n-dimensional plane */
export interface TPoint extends Latexable {
    /** Magnitude of point */
    magnitude: number;
    /** Coordinates of point */
    coordinates: readonly number[];
    /** Calculate vector between two points */
    to(p2: TPoint): Vector;
    /** Get middle of two points */
    mid(p2: TPoint): TPoint;
    /** Apply vector transformation on point */
    apply(vec: Vector): TPoint;
    /** Check if two points are equal. */
    equal(p2: TPoint): boolean;
}
/** Create point using coordinates */
export declare function Point(...coordinates: number[]): TPoint;
