/** Interface representing object that can be converted to LaTeX expression */
export interface Latexable {
    /** Convert object to LaTeX expression */
    toString(name: string): string;
}
/** Interface representing object that has coordinates */
interface WithCoordinates {
    magnitude: number;
    coordinates: readonly number[];
}
/** Create structure containing angle either in degrees and radians */
export declare function Angle(rad: number): {
    rad: number;
    deg: number;
};
/** Check if two elements have same magnitude. Runs only in development mode */
export declare function checkCoordinates(a: WithCoordinates, b: WithCoordinates): void;
export {};
