"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkCoordinates = exports.Angle = void 0;
/** Create structure containing angle either in degrees and radians */
function Angle(rad) {
    return { rad: rad, deg: (rad / Math.PI) * 180 };
}
exports.Angle = Angle;
/** Check if two elements have same magnitude. Runs only in development mode */
function checkCoordinates(a, b) {
    if (process.env.NODE_ENV === 'production')
        return;
    if (a.magnitude !== b.magnitude) {
        throw Error("Cannot perform action on elements with coordinates " + JSON.stringify(a.coordinates) + " and " + JSON.stringify(b.coordinates));
    }
}
exports.checkCoordinates = checkCoordinates;
//# sourceMappingURL=util.js.map